<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    app:startDestination="@id/home_fragment">

    <fragment
        android:id="@+id/home_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialHomeFragment"
        tools:layout="@layout/fragment_material_home">

        <action
            android:id="@+id/action_home_fragment_to_fetch_return_fragment"
            app:destination="@id/material_fetch_return_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />

        <action
            android:id="@+id/action_home_fragment_to_instruction_fragment"
            app:destination="@id/material_instruction_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />

        <action
            android:id="@+id/action_home_fragment_to_inspection_fragment"
            app:destination="@id/material_inspection_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />

        <action
            android:id="@+id/action_home_fragment_to_inspection_plan_fragment"
            app:destination="@id/material_inspection_plan_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />

        <action
            android:id="@+id/action_home_fragment_to_replacement_fragment"
            app:destination="@id/material_replacement_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>

    <fragment
        android:id="@+id/material_fetch_return_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialFetchReturnFragment"
        tools:layout="@layout/fragment_material_fetch_return" />

    <fragment
        android:id="@+id/material_instruction_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialInstructionFragment"
        tools:layout="@layout/fragment_material_instruction">
        <action
            android:id="@+id/action_instruction_fragment_to_instruction_detail_fragment"
            app:destination="@id/material_instruction_detail_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>

    <fragment
        android:id="@+id/material_inspection_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialInspectionFragment"
        tools:layout="@layout/fragment_material_inspection">
        <action
            android:id="@+id/action_inspection_fragment_to_inspection_plan_fragment"
            app:destination="@id/material_inspection_plan_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>

    <fragment
        android:id="@+id/material_replacement_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialReplacementFragment"
        tools:layout="@layout/fragment_material_replacement">
        <action
            android:id="@+id/action_replacement_fragment_to_replacement_record_fragment"
            app:destination="@id/material_replacement_record_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />

        <action
            android:id="@+id/action_replacement_fragment_to_manual_replacement_fragment"
            app:destination="@id/material_manual_replacement_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>

    <fragment
        android:id="@+id/material_manual_replacement_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialManualReplacementFragment"
        tools:layout="@layout/fragment_material_manual_replacement" />

    <fragment
        android:id="@+id/material_replacement_record_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialReplacementRecordFragment"
        tools:layout="@layout/fragment_material_replacement_record" />

    <fragment
        android:id="@+id/material_instruction_detail_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialInstructionDetailFragment"
        tools:layout="@layout/fragment_material_instruction_detail" >
        <argument android:name="url" app:argType="string" />
    </fragment>

    <fragment
        android:id="@+id/material_inspection_plan_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialInspectionPlanFragment"
        tools:layout="@layout/fragment_material_inspection_plan">
        <action
            android:id="@+id/action_inspection_plan_fragment_to_inspection_table_fragment"
            app:destination="@id/material_inspection_table_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />

        <action
            android:id="@+id/action_inspection_plan_fragment_to_inspection_signature_fragment"
            app:destination="@id/material_inspection_signature_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>

    <fragment
        android:id="@+id/material_inspection_table_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialInspectionTableFragment"
        tools:layout="@layout/fragment_material_inspection_table" >
        <argument android:name="planId" app:argType="long" />
    </fragment>

    <fragment
        android:id="@+id/material_inspection_signature_fragment"
        android:name="com.grkj.iscs_mc.view.fragment.MaterialInspectionSignatureFragment"
        tools:layout="@layout/fragment_material_inspection_signature">
        <action
            android:id="@+id/action_inspection_signature_fragment_to_inspection_plan_fragment"
            app:destination="@id/material_inspection_plan_fragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>
</navigation>